Subject: Re: bash pausing
From: [email-masked] (Chet Ramey)

27 Jun 1998 04:11:43 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]
Cc: [email-masked]

> I reported earlier my problems with bash pausing, only on a host connected to a
> network.
> Someone suggested to set MAILCHECK to 0, but that didn't help. 
> export MAILPATH= didn't help either.

Reading the manual page often helps.  The bash manual page says
explicitly that if MAILCHECK is unset, mail checking is disabled. 

If MAILCHECK is set to 0, the shell checks for mail before every
primary prompt.

> BTW, I consider it funny and bad design that bash should care about mail;
> thats what biff and friends are for. But this seems to be deeply rooted in Unix 
> history.

The shell's MAILCHECK mechanism is a lot less intrusive than biff.  I
hate biff blasting the first few lines of a message to my terminal, no
matter what I happen to be doing.

-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer

Chet Ramey, Case Western Reserve University	Internet: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".